<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Nov 20 09:59:45 CET 2019 -->
<title>DataSets.DataSet</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-11-20">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DataSets.DataSet";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DataSets.DataSet.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.oaipmh.api.jaxb.abcd</a></div>
<h2 title="Class DataSets.DataSet" class="title">Class DataSets.DataSet</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>nl.naturalis.oaipmh.api.jaxb.abcd.DataSets.DataSet</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="DataSets.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets</a></dd>
</dl>
<hr>
<pre>public static class <span class="typeNameLabel">DataSets.DataSet</span>
extends <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></pre>
<div class="block"><p>Java class for anonymous complex type.
 
 <p>The following schema fragment specifies the expected content contained within this class.
 
 <pre>
 &lt;complexType>
   &lt;complexContent>
     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       &lt;sequence>
         &lt;element name="DatasetGUID" type="{http://www.tdwg.org/schemas/abcd/2.06}String" minOccurs="0"/>
         &lt;element name="TechnicalContacts" minOccurs="0">
           &lt;complexType>
             &lt;complexContent>
               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 &lt;sequence>
                   &lt;element name="TechnicalContact" type="{http://www.tdwg.org/schemas/abcd/2.06}MicroAgentP" maxOccurs="unbounded"/>
                 &lt;/sequence>
               &lt;/restriction>
             &lt;/complexContent>
           &lt;/complexType>
         &lt;/element>
         &lt;element name="ContentContacts">
           &lt;complexType>
             &lt;complexContent>
               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 &lt;sequence>
                   &lt;element name="ContentContact" type="{http://www.tdwg.org/schemas/abcd/2.06}MicroAgentP" maxOccurs="unbounded"/>
                 &lt;/sequence>
               &lt;/restriction>
             &lt;/complexContent>
           &lt;/complexType>
         &lt;/element>
         &lt;element name="OtherProviders" minOccurs="0">
           &lt;complexType>
             &lt;complexContent>
               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 &lt;sequence>
                   &lt;element name="OtherProvider" type="{http://www.tdwg.org/schemas/abcd/2.06}String" maxOccurs="unbounded"/>
                 &lt;/sequence>
               &lt;/restriction>
             &lt;/complexContent>
           &lt;/complexType>
         &lt;/element>
         &lt;element name="Metadata" type="{http://www.tdwg.org/schemas/abcd/2.06}ContentMetadata"/>
         &lt;element name="Units">
           &lt;complexType>
             &lt;complexContent>
               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 &lt;sequence>
                   &lt;element name="Unit" type="{http://www.tdwg.org/schemas/abcd/2.06}Unit" maxOccurs="unbounded"/>
                 &lt;/sequence>
               &lt;/restriction>
             &lt;/complexContent>
           &lt;/complexType>
         &lt;/element>
         &lt;element name="DataSetExtension" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
       &lt;/sequence>
     &lt;/restriction>
   &lt;/complexContent>
 &lt;/complexType>
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="DataSets.DataSet.ContentContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.ContentContacts</a></span></code></th>
<td class="colLast">
<div class="block">Java class for anonymous complex type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="DataSets.DataSet.OtherProviders.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.OtherProviders</a></span></code></th>
<td class="colLast">
<div class="block">Java class for anonymous complex type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="DataSets.DataSet.TechnicalContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.TechnicalContacts</a></span></code></th>
<td class="colLast">
<div class="block">Java class for anonymous complex type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="DataSets.DataSet.Units.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.Units</a></span></code></th>
<td class="colLast">
<div class="block">Java class for anonymous complex type.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">DataSet</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="DataSets.DataSet.ContentContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.ContentContacts</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getContentContacts()">getContentContacts</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the contentContacts property.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDataSetExtension()">getDataSetExtension</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the dataSetExtension property.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDatasetGUID()">getDatasetGUID</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the datasetGUID property.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="ContentMetadata.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMetadata()">getMetadata</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the metadata property.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="DataSets.DataSet.OtherProviders.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.OtherProviders</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOtherProviders()">getOtherProviders</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the otherProviders property.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="DataSets.DataSet.TechnicalContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.TechnicalContacts</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTechnicalContacts()">getTechnicalContacts</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the technicalContacts property.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="DataSets.DataSet.Units.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.Units</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUnits()">getUnits</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the value of the units property.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setContentContacts(nl.naturalis.oaipmh.api.jaxb.abcd.DataSets.DataSet.ContentContacts)">setContentContacts</a></span>&#8203;(<a href="DataSets.DataSet.ContentContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.ContentContacts</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the contentContacts property.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDataSetExtension(java.lang.Object)">setDataSetExtension</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the dataSetExtension property.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDatasetGUID(java.lang.String)">setDatasetGUID</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the datasetGUID property.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMetadata(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata)">setMetadata</a></span>&#8203;(<a href="ContentMetadata.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the metadata property.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOtherProviders(nl.naturalis.oaipmh.api.jaxb.abcd.DataSets.DataSet.OtherProviders)">setOtherProviders</a></span>&#8203;(<a href="DataSets.DataSet.OtherProviders.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.OtherProviders</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the otherProviders property.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTechnicalContacts(nl.naturalis.oaipmh.api.jaxb.abcd.DataSets.DataSet.TechnicalContacts)">setTechnicalContacts</a></span>&#8203;(<a href="DataSets.DataSet.TechnicalContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.TechnicalContacts</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the technicalContacts property.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUnits(nl.naturalis.oaipmh.api.jaxb.abcd.DataSets.DataSet.Units)">setUnits</a></span>&#8203;(<a href="DataSets.DataSet.Units.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.Units</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the value of the units property.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DataSet</h4>
<pre>public&nbsp;DataSet()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getDatasetGUID()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatasetGUID</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getDatasetGUID()</pre>
<div class="block">Gets the value of the datasetGUID property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
<a id="setDatasetGUID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDatasetGUID</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDatasetGUID&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the datasetGUID property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>String</code></a></dd>
</dl>
</li>
</ul>
<a id="getTechnicalContacts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTechnicalContacts</h4>
<pre class="methodSignature">public&nbsp;<a href="DataSets.DataSet.TechnicalContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.TechnicalContacts</a>&nbsp;getTechnicalContacts()</pre>
<div class="block">Gets the value of the technicalContacts property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="DataSets.DataSet.TechnicalContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>DataSets.DataSet.TechnicalContacts</code></a></dd>
</dl>
</li>
</ul>
<a id="setTechnicalContacts(nl.naturalis.oaipmh.api.jaxb.abcd.DataSets.DataSet.TechnicalContacts)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTechnicalContacts</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTechnicalContacts&#8203;(<a href="DataSets.DataSet.TechnicalContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.TechnicalContacts</a>&nbsp;value)</pre>
<div class="block">Sets the value of the technicalContacts property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="DataSets.DataSet.TechnicalContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>DataSets.DataSet.TechnicalContacts</code></a></dd>
</dl>
</li>
</ul>
<a id="getContentContacts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContentContacts</h4>
<pre class="methodSignature">public&nbsp;<a href="DataSets.DataSet.ContentContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.ContentContacts</a>&nbsp;getContentContacts()</pre>
<div class="block">Gets the value of the contentContacts property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="DataSets.DataSet.ContentContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>DataSets.DataSet.ContentContacts</code></a></dd>
</dl>
</li>
</ul>
<a id="setContentContacts(nl.naturalis.oaipmh.api.jaxb.abcd.DataSets.DataSet.ContentContacts)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setContentContacts</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setContentContacts&#8203;(<a href="DataSets.DataSet.ContentContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.ContentContacts</a>&nbsp;value)</pre>
<div class="block">Sets the value of the contentContacts property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="DataSets.DataSet.ContentContacts.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>DataSets.DataSet.ContentContacts</code></a></dd>
</dl>
</li>
</ul>
<a id="getOtherProviders()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOtherProviders</h4>
<pre class="methodSignature">public&nbsp;<a href="DataSets.DataSet.OtherProviders.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.OtherProviders</a>&nbsp;getOtherProviders()</pre>
<div class="block">Gets the value of the otherProviders property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="DataSets.DataSet.OtherProviders.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>DataSets.DataSet.OtherProviders</code></a></dd>
</dl>
</li>
</ul>
<a id="setOtherProviders(nl.naturalis.oaipmh.api.jaxb.abcd.DataSets.DataSet.OtherProviders)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOtherProviders</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOtherProviders&#8203;(<a href="DataSets.DataSet.OtherProviders.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.OtherProviders</a>&nbsp;value)</pre>
<div class="block">Sets the value of the otherProviders property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="DataSets.DataSet.OtherProviders.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>DataSets.DataSet.OtherProviders</code></a></dd>
</dl>
</li>
</ul>
<a id="getMetadata()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMetadata</h4>
<pre class="methodSignature">public&nbsp;<a href="ContentMetadata.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata</a>&nbsp;getMetadata()</pre>
<div class="block">Gets the value of the metadata property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="ContentMetadata.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata</code></a></dd>
</dl>
</li>
</ul>
<a id="setMetadata(nl.naturalis.oaipmh.api.jaxb.abcd.ContentMetadata)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMetadata</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setMetadata&#8203;(<a href="ContentMetadata.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">ContentMetadata</a>&nbsp;value)</pre>
<div class="block">Sets the value of the metadata property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="ContentMetadata.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>ContentMetadata</code></a></dd>
</dl>
</li>
</ul>
<a id="getUnits()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnits</h4>
<pre class="methodSignature">public&nbsp;<a href="DataSets.DataSet.Units.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.Units</a>&nbsp;getUnits()</pre>
<div class="block">Gets the value of the units property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="DataSets.DataSet.Units.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>DataSets.DataSet.Units</code></a></dd>
</dl>
</li>
</ul>
<a id="setUnits(nl.naturalis.oaipmh.api.jaxb.abcd.DataSets.DataSet.Units)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUnits</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setUnits&#8203;(<a href="DataSets.DataSet.Units.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd">DataSets.DataSet.Units</a>&nbsp;value)</pre>
<div class="block">Sets the value of the units property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="DataSets.DataSet.Units.html" title="class in nl.naturalis.oaipmh.api.jaxb.abcd"><code>DataSets.DataSet.Units</code></a></dd>
</dl>
</li>
</ul>
<a id="getDataSetExtension()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataSetExtension</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;getDataSetExtension()</pre>
<div class="block">Gets the value of the dataSetExtension property.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>possible object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>Object</code></a></dd>
</dl>
</li>
</ul>
<a id="setDataSetExtension(java.lang.Object)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDataSetExtension</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDataSetExtension&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</pre>
<div class="block">Sets the value of the dataSetExtension property.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - allowed object is
     <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>Object</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DataSets.DataSet.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
